com.icl.saxon.sort

## Class LocalOrderComparer

- java.lang.Object
- - com.icl.saxon.sort.LocalOrderComparer

- All Implemented Interfaces:
    NodeOrderComparer

      public final class LocalOrderComparer
      extends java.lang.Object
      implements NodeOrderComparer

  A Comparer used for comparing nodes in document order. This comparer assumes that the nodes being compared come from the same document

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalOrderComparer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(NodeInfo a, NodeInfo b)` Compare two objects.
    `static LocalOrderComparer` | `getInstance()` Get an instance of a LocalOrderComparer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalOrderComparer

          public LocalOrderComparer()

  - ### Method Detail

    - #### getInstance

          public static LocalOrderComparer getInstance()

      Get an instance of a LocalOrderComparer. The class maintains no state so this returns the same instance every time.

    - #### compare

          public int compare(NodeInfo a,
                    NodeInfo b)

      Description copied from interface: `NodeOrderComparer`
      Compare two objects.
      Specified by:
        `compare` in interface `NodeOrderComparer`
      Returns:
        <0 if a0 if a>b